From 0e959e637b6ee85b0710e0608fe5d678ad7e0b78 Mon Sep 17 00:00:00 2001
From: Conrad Kostecki <conikost@gentoo.org>
Date: Tue, 23 Jan 2024 21:58:50 +0100
Subject: [PATCH] src/threading.h: fix compilation on musl

Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
---
 src/threading.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/threading.h b/src/threading.h
index 3925076..b1706ac 100644
--- a/src/threading.h
+++ b/src/threading.h
@@ -113,7 +113,11 @@ enum e_status { PENDING, RUNNING, WAITING, DONE, ERROR_ST, CANCELLED };
   #include <pthread.h>
 
   #ifdef PLATFORM_LINUX
-  # define _MUTEX_RECURSIVE PTHREAD_MUTEX_RECURSIVE_NP
+    #if defined(__GLIBC__)
+      # define _MUTEX_RECURSIVE PTHREAD_MUTEX_RECURSIVE_NP
+    #else
+      # define _MUTEX_RECURSIVE PTHREAD_MUTEX_RECURSIVE
+    #endif
   #else
     /* OS X, ... */
   # define _MUTEX_RECURSIVE PTHREAD_MUTEX_RECURSIVE
